<?php

/*
 * Sets a content type based on extention
 */
function rg_content_type_by_ext($f)
{
	$b = 'application/octet-stream';

	$r = strrpos($f, '.');
	if ($r === FALSE)
		return $b;

	$e = substr($f, $r + 1);

	if (strcasecmp($e, 'apng') == 0)
		return 'text/png';

	if (strcasecmp($e, 'txt') == 0)
		return 'text/plain';

	if (strcasecmp($e, 'html') == 0)
		return 'text/html';

	if (strcasecmp($e, 'xls') == 0)
		return 'application/vnd.ms-excel';

	if (strcasecmp($e, 'doc') == 0)
		return 'application/msword';

	if (strcasecmp($e, 'ods') == 0)
		return 'application/vnd.oasis.opendocument.spreadsheet';

	if (strcasecmp($e, 'odt') == 0)
		return 'application/vnd.oasis.opendocument.text';

	if (strcasecmp($e, 'gz') == 0)
		return 'application/gzip';

	if (strcasecmp($e, 'pdf') == 0)
		return 'application/pdf';

	if (strcasecmp($e, 'zip') == 0)
		return 'application/zip';

	if (strcasecmp($e, 'xml') == 0)
		return 'application/xml';

	if (strcasecmp($e, 'json') == 0)
		return 'application/json';

	if (strcasecmp($e, 'whl') == 0)
		return 'application/zip';

	if (strcasecmp($e, 'png') == 0)
		return 'image/png';

	if (strcasecmp($e, 'jpg') == 0)
		return 'image/jpeg';
	if (strcasecmp($e, 'jpeg') == 0)
		return 'image/jpeg';

	if (strcasecmp($e, 'svg') == 0)
		return 'image/svg+xml';

	return $b;
}

