<?php
error_reporting(E_ALL | E_STRICT);
ini_set("track_errors", "On");

$INC = dirname(__FILE__) . "/../inc";
require_once(dirname(__FILE__) . "/config.php");
require_once($INC . "/init.inc.php");
require_once($INC . "/util.inc.php");
require_once($INC . "/log.inc.php");

rg_log_set_file("log.log");

$rg_no_db = TRUE;
require_once("common.php");

$n = "șacal\n\t";
rg_log($n);

rg_log_ml("Multiline test\nline2\nline3");

$f = 'log-' . gmdate('Ymd') . '.log';
$c = @file_get_contents($f);
if ($c === FALSE) {
	rg_log('Cannot read log content from ' . $f . '!');
	exit(1);
}
$x = explode("\n", $c);
// We need only last 4 lines (an older log may be present)
// Remove the last one (\n)
$c = count($x);
unset($x[$c - 1]);
$c--;

while ($c-- > 4)
	array_shift($x);

foreach ($x as $i => $v)
	$x[$i] = substr($v, 20);

$e = "șacal[0a]\t|Multiline test|line2|line3";
$s = implode("|", $x);
if (strcmp($s, $e) != 0) {
	rg_log_ml('x: ' . print_r($x, TRUE));
	rg_log('[' . $s . '] != [' . $e . ']!');
	exit(1);
}


rg_log('OK!');
?>
