#!/bin/bash

port=${1}; shift

log="wh-helper-${port}.log"
echo "`date`: Starting..." >"${log}"

while read -t3 line; do
	E=${?}
	echo "`date`: Readed[E=${E}]: ${line}" >>"${log}"
	if [ "${E}" != "0" ]; then
		echo "Done reading request" >>"${log}"
		break
	fi
done
echo "`date`: After while: ?=${?} [line=${line}]" >>"${log}"

echo -n -e "HTTP/1.1 200 OK\r\n"
echo -n -e "Content-Length: 4\r\n"
echo -n -e "\r\n"
echo "OK!"

echo "`date`: Done sending data" >>"${log}"
