<?php
// This is the first file that is included by all scripts.

require_once($INC . "/ver.php");

$_dt = ini_get('date.timezone');
if (empty($_dt))
	ini_set('date.timezone', 'UTC');

// For escapeshellarg to work with UTF-8, we are forced to set a locale
setlocale(LC_CTYPE, "en_US.UTF-8");

if (!isset($rg_admin_email) || empty($rg_admin_email))
	$rg_admin_email = 'root@' . php_uname('n');

if (!isset($rg_ssh_host) || empty($rg_ssh_host))
	$rg_ssh_host = php_uname('n');
$rg['rg_ssh_host'] = $rg_ssh_host;

if (!isset($rg_ssh_port) || empty($rg_ssh_port))
	$rg_ssh_port = '22';
$rg['rg_ssh_port'] = $rg_ssh_port;


if (!isset($rg_git_host) || empty($rg_git_host))
	$rg_git_host = php_uname('n');
$rg['rg_git_host'] = $rg_git_host;

if (!isset($rg_git_port) || empty($rg_git_port))
	$rg_git_port = 9418;
$rg['rg_git_port'] = $rg_git_port;


$rg['rg_version'] = $rocketgit_version;


if (!isset($rg_scripts))
	$rg_scripts = dirname(__FILE__) . "/..";


if (!isset($rg_theme_dir))
	$rg_theme_dir = $rg_scripts . "/root/themes";


if (!isset($rg_logs_lifetime))
	$rg_logs_lifetime = 31;


if (!isset($rg_builder_bind))
	$rg_builder_bind = '0.0.0.0';

if (!isset($rg_builder_port))
	$rg_builder_port = 0;

?>
