<?php
rg_log('FILE: /inc/user/repo/artifacts/main');
include_once($INC . '/artifacts.inc.php');

$_artifacts_body = '';

$rg['can_save'] = $rg['login_ui']['uid'] > 0 ? 1 : 0;

$x = array();
$x['obj_id'] = $rg['ri']['repo_id'];
$x['type'] = 'repo';
$x['owner'] = $rg['ri']['uid'];
$x['uid'] = $rg['login_ui']['uid'];
$x['username'] = $rg['login_ui']['username'];
$x['ip'] = $rg['ip'];
$x['misc'] = '';
$x['needed_rights'] = 't';
if (rg_rights_allow($db, $x) !== TRUE) {
	$artifacts_body = rg_template('repo/artifacts/deny_access.html',
		$rg, TRUE /*xss*/);
	return;
}
$x['needed_rights'] = 'T';
$rg['allow_artifacts_del'] = (rg_rights_allow($db, $x) === TRUE) ? 1 : 0;

$_op = empty($paras) ? 'list' : array_shift($paras);
$rg['menu']['sub2'][$_op] = 1;

$rg['HTML:menu_repo_level2'] =
	rg_template('repo/artifacts/menu.html', $rg, TRUE /*xss*/);

rg_log_ml('DEBUG: paras: ' . print_r($paras, TRUE));
$path = implode('/', $paras);

switch ($_op) {
//case 'search':
//	include($INC . '/user/repo/artifacts/search.php');
//	$_artifacts_body .= $_artifacts_search;
//	break;

case 'download':
	$i = rg_artifacts_load_file($rg['page_ui']['uid'], $rg['ri']['repo_id'], $path);
	if ($i === FALSE) {
		$rg['HTML:artifacts_error'] = rg_artifacts_error();
		$_artifacts_body .= rg_template('repo/artifacts/error.html', $rg, TRUE /*xss*/);
		break;
	}

	$fn = addcslashes(basename($i['file']), '"\\');
	header('Content-Type: ' . $i['content_type']);
	header('Content-Disposition: attachment; filename="' . $fn . '"');
	header('Content-Length: ' . $i['size']);

	readfile($i['full_path']);
	exit(0);

default: // list
	rg_log('DEBUG: path=' . $path);
	$d = rg_artifacts_load($rg['page_ui']['uid'], $rg['ri']['repo_id'], $path);
	if ($d === FALSE) {
		$rg['HTML:artifacts_error'] = rg_artifacts_error();
		$_artifacts_body .= rg_template('repo/artifacts/error.html', $rg, TRUE /*xss*/);
		break;
	}

	rg_artifacts_cosmetic($d);
	$rg['url_artifacts'] = $rg['url_repo'] . '/artifacts';
	$rg['HTML:artifacts_paths'] = rg_url_segments($rg['url_artifacts'] . '/list', $path);
	$_artifacts_body .= rg_template_table('repo/artifacts/list', $d, $rg);
	break;
}

$rg['HTML:artifacts_body'] = $_artifacts_body;
$artifacts_body = rg_template('repo/artifacts/main.html', $rg, TRUE /*xss*/);
